Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 477546 (netdude) - Review Request: netdude - Inspection, analysis and manipulation of tcpdump trace files
Summary: Review Request: netdude - Inspection, analysis and manipulation of tcpdump tr...
Keywords:
Status: CLOSED NOTABUG
Alias: netdude
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://netdude.sourceforge.net/
Whiteboard:
: 460885 (view as bug list)
Depends On: libpcapnav libnetdude
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-12-21 20:21 UTC by Andreas Thienemann
Modified: 2010-08-14 04:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-14 04:13:27 UTC


Attachments (Terms of Use)
failed build in F-10 for netdude-0.5.0-2.fc11.src.rpm (deleted)
2008-12-23 15:05 UTC, manuel wolfshant
no flags Details

Description Andreas Thienemann 2008-12-21 20:21:28 UTC
SPEC: http://home.bawue.de/~ixs/netdude/netdude.spec
SRPM: http://home.bawue.de/~ixs/netdude/netdude-0.5.0-1.fc9.src.rpm
Files: http://home.bawue.de/~ixs/netdude/

The Network Dump data Displayer and Editor is a framework for inspection,
analysis and manipulation of tcpdump trace files. It addresses the need for
a toolset that allows easy inspection, modification, and creation of
pcap/tcpdump trace files.


[root@localhost ~]# rpmlint /var/lib/mock//fedora-rawhide-*/result/*.rpm
8 packages and 0 specfiles checked; 0 errors, 0 warnings.
[root@localhost ~]#

Comment 1 Jason Tibbitts 2008-12-21 20:34:57 UTC
*** Bug 460885 has been marked as a duplicate of this bug. ***

Comment 2 manuel wolfshant 2008-12-22 15:30:36 UTC
mock build failed here, more precisely during the autogen sequence:
             Netdude Build Tools Setup
====================================================

Checking whether we have all tools available ...
All necessary tools found.


running libtoolize
----------------------------------------------------
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `libltdl/config/compile'
libtoolize: copying file `libltdl/config/config.guess'
libtoolize: copying file `libltdl/config/config.sub'
libtoolize: copying file `libltdl/config/depcomp'
libtoolize: copying file `libltdl/config/install-sh'
libtoolize: copying file `libltdl/config/missing'
libtoolize: copying file `libltdl/config/ltmain.sh'
libtoolize: putting macros in `libltdl/m4'.
libtoolize: copying file `libltdl/m4/argz.m4'
libtoolize: copying file `libltdl/m4/libtool.m4'
libtoolize: copying file `libltdl/m4/ltdl.m4'
libtoolize: copying file `libltdl/m4/ltoptions.m4'
libtoolize: copying file `libltdl/m4/ltsugar.m4'
libtoolize: copying file `libltdl/m4/ltversion.m4'
libtoolize: copying file `libltdl/m4/lt~obsolete.m4'
libtoolize: putting libltdl files in `libltdl'.
libtoolize: `COPYING.LIB' not found in `/usr/share/libtool/libltdl'
error: Bad exit status from /var/tmp/rpm-tmp.9T8tG4 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.9T8tG4 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash -l -c 'rpmbuild -bb --target x86_64 --nodeps //builddir/build/SPECS/netdude.spec'

Comment 3 Andreas Thienemann 2008-12-22 15:35:30 UTC
Interesting. Let me find out what exactly changed in rawhide to make it fail now.

Comment 4 Andreas Thienemann 2008-12-23 01:25:29 UTC
New SRPM at <http://home.bawue.de/~ixs/netdude/netdude-0.5.0-2.src.rpm>.

* Tue Dec 23 2008 Andreas Thienemann <andreas@bawue.net> - 0.5.0-2
- Added explicit libtool-ltdl-devel dependency
- Changed lt_ptr_t to lt_ptr in order to work around deprecated ltdl apis

Comment 5 Andreas Thienemann 2008-12-23 01:27:46 UTC
FYI libtool changed from 1.5 to 2.0 needing mentioned changes.

Comment 6 manuel wolfshant 2008-12-23 02:04:49 UTC
It builds fine now, but I have a couple of questions:
1. what is the purpose of :
lrwxrwxrwx    1 root    root               10 Dec 23 03:33 /usr/bin/netdude -> netdude0.5
-rwxr-xr-x    1 root    root           371952 Dec 23 03:33 /usr/bin/netdude0.5
instead of simply having /usr/bin/netdude as a plain binary ?

2. Why did you choose to package the header files in the -lib rpm? Am I mistaken when I think that they should go into a separate -devel package, maybe together with the content of /usr/share/gtk-doc/html/netdude ? I think that, if you want to separate the libs in their own package (BTW, is it worth the effort/ is it needed ?), a 3 package approach similar to glibc-common/glibc/glibc-devel is more appropriate.

3. rpmlint has complains about the debuginfo package:
[wolfy@wolfy ~]$ rpmlint  /home/wolfy/reports/netdude/netdude-debuginfo-0.5.0-2.fc11.x86_64.rpm
netdude-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/netdude-0.5.0/libltdl/.libs
netdude-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/netdude-0.5.0/libltdl/.libs
Should't you delete that directory as part of the cleanup process (together with the removal of static and libtool files) ?

4. "Application" is no longer a valid category according to the latest standard for desktop files. Both http://standards.freedesktop.org/menu-spec/latest/apa.html and Packaging/Guidelines#desktop agree on that. Could you please keep in mind to fix that, please ?

Comment 7 Andreas Thienemann 2008-12-23 10:26:51 UTC
New SRPM at http://home.bawue.de/~ixs/netdude/netdude-0.5.0-2.fc11.src.rpm

1. Fixed

2. From memory now: The header files as well as the .so shared objects are plugins into the netdude editor. IIRC the netdude editor is using the .h files during runtime. Packaging them into a -devel package did therefore not make much sense to me.

3. Fixed

4. Fixed

Comment 8 manuel wolfshant 2008-12-23 15:02:48 UTC
Houston, we've got a problem. When I tried to create a filter, netdude crashed with:
[root@pc37 ~]# netdude
reading from file -, link-type EN10MB (Ethernet)
netdude: symbol lookup error: /usr/lib/netdude/0.5/plugins/nd_bpf.so: undefined symbol: libnd_bpf_new
[root@pc37 ~]# ls  /usr/lib/netdude/0.5/plugins/
nd_bpf.so  nd_cksumfix.so

[root@pc37 ~]# rpm -qa libpca\* \*netd\*
libnetdude-0.11-1.fc11.i386
libpcap-0.9.8-3.fc10.i386
libpcapnav-0.8-1.fc11.i386
netdude-0.5.0-2.fc11.i386
netdude-libs-0.5.0-2.fc11.i386

[root@pc37 ~]# uname -a
Linux pc37 2.6.27.5-94.fc10.i686 #1 SMP Mon Nov 10 15:51:55 EST 2008 i686 athlon i386 GNU/Linux


OTOH, your latest src.rpm cannot be built for F-10. I am attaching the failed build log.

Comment 9 manuel wolfshant 2008-12-23 15:05:31 UTC
Created attachment 327755 [details]
failed build in F-10 for netdude-0.5.0-2.fc11.src.rpm

Comment 10 Jan Klepek 2010-04-20 21:09:06 UTC
netdude 0.5.1 is available, please upgrade your package to incorporate new version

Comment 11 manuel wolfshant 2010-07-19 12:48:13 UTC
Andreas, are you still interested in this package ? If you are, please update the package and let us know the new links for the spec and src.rpm. If not, in one month I'll close the review.

Comment 12 Rafael Aquini 2010-08-14 04:13:27 UTC
It's been almost two years without any progress on this review. Due to this lack of activity and no replies to the latest PING (Comment 11), this review is now considered stalled.
I'm closing this bug just as described in Fedora's Policy for stalled package
reviews: http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.